Jack2: Jack::JackTransportEngine Class Reference

Jack2 1.9.12

Public Member Functions | Static Public Member Functions | List of all members
Jack::JackTransportEngine Class Reference
Inheritance diagram for Jack::JackTransportEngine:

## Public Member Functions
void | SetCommand (transport_command_t state)
jack_transport_state_t | GetState () const
void | SetState (jack_transport_state_t state)
int | ResetTimebase (int refnum)
int | SetTimebaseMaster (int refnum, bool conditionnal)
void | GetTimebaseMaster (int &refnum, bool &conditionnal)
void | CycleBegin (jack_nframes_t frame_rate, jack_time_t time)
void | CycleEnd (JackClientInterface **table, jack_nframes_t frame_rate, jack_nframes_t buffer_size)
void | SetSyncTimeout (jack_time_t timeout)
void | ReadCurrentPos (jack_position_t *pos)
jack_unique_t | GenerateUniqueID ()
void | RequestNewPos (jack_position_t *pos)
jack_transport_state_t | Query (jack_position_t *pos)
jack_nframes_t | GetCurrentFrame ()
bool | GetNetworkSync () const
void | SetNetworkSync (bool sync)
Public Member Functions inherited from Jack::JackAtomicArrayState< jack_position_t >
jack_position_t * | ReadCurrentState ()
| Returns the current state : only valid in the RT reader thread.
UInt16 | GetCurrentIndex ()
| Returns the current switch counter.
jack_position_t * | TrySwitchState (int state)
| Tries to switch to the next state and returns the new current state (either the same as before if case of switch failure or the new one)
jack_position_t * | TrySwitchState (int state, bool *result)
| Tries to switch to the next state and returns the new current state (either the same as before if case of switch failure or the new one)
jack_position_t * | WriteNextStateStart (int state)
| Start write operation : setup and returns the next state to update, check for recursive write calls.
jack_position_t * | WriteNextStateStart (int state, bool *result)
void | WriteNextStateStop (int state)
| Stop write operation : make the next state ready to be used by the RT thread.

## Static Public Member Functions
static void | CopyPosition (jack_position_t *from, jack_position_t *to)

## Additional Inherited Members
Protected Member Functions inherited from Jack::JackAtomicArrayState< jack_position_t >
UInt32 | WriteNextStateStartAux (int state, bool *result)
void | WriteNextStateStopAux (int state)
Protected Attributes inherited from Jack::JackAtomicArrayState< jack_position_t >
jack_position_t | fState [3]
volatile AtomicArrayCounter | fCounter

## Detailed Description

Definition at line 93 of file JackTransportEngine.h.

The documentation for this class was generated from the following files:

- JackTransportEngine.h
- JackTransportEngine.cpp